﻿.red-text {
    color: #ff0000;
    margin-left: 21px;
}

.black-text {
    color: #000000;
    background: url("../../../../images/success.png") no-repeat left 5px;
    background-size: 14px;
    list-style: none;
    padding-left: 21px !important;
}

.password-validation {
    padding: 0 0 2% 0;
}

.password-container__input {

    position: relative;
    max-width: max-content;
}


.password-container__input .appended-inner-icons {
    display: flex;
    justify-content: space-between;
    align-items: center;
    transform: translateY(10px);
    min-width: 40px;
    position: absolute;
    right: 3%;
    z-index: 1;
    top: 0;
    flex-flow: row-reverse;
}

.pw-icon-cmp-password {
    color: var(--primary);
}

.password-container .delete-password {
    color: #a9a9a9 !important;
}

input.ng-empty ~ i.delete-password {
    display: none;
}

input.ng-empty ~ #passwordValidation li.validation-list {
    color: #ff0000;
    background: none;
    list-style: disc;
    margin-left: 21px;
    padding-left: 0px !important;
}

@media only screen and (max-width: 767px) {
    .password-cmp-label {
        display: none;
    }
    .password-container__input {
        width: 100%;
        max-width: 100%;
    }

}

/*myAvaRtl*/
.myAvaRtl .black-text {
    left: 50px !important;
    right: unset !important;
}

.myAvaRtl ul {
    padding-right: 20px;
}

.myAvaRtl .uib-datepicker-popup {
    padding-right: 0;
}

.myAvaRtl .delete-password {
    right: unset !important;
}

.myAvaRtl .black-text {
    list-style-image: url(../../../../images/success.png);
    background: none;
}

.myAvaRtl .appended-inner-icons {
    right: auto;
    left: 3%;
    flex-direction: row-reverse;
}